# voaacenc

AAC audio encoder based on vo-aacenc library.

vo-aacenc library source file

## Example launch line

     gst-launch-1.0 filesrc location=abc.wav ! wavparse ! audioresample ! audioconvert ! voaacenc ! filesink location=abc.aac

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstAudioEncoder
                        ╰──voaacenc

## Implemented interfaces

    GstPreset

## Factory details

Authors: – Kan Hu <kan.hu></kan.hu>

Classification: – `Codec/Encoder/Audio`

Rank – secondary

Plugin – voaacenc

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    audio/x-raw:
             format: S16LE
             layout: interleaved
               rate: { (int)8000, (int)11025, (int)12000, (int)16000, (int)22050, (int)24000, (int)32000, (int)44100, (int)48000, (int)64000, (int)88200, (int)96000 }
           channels: 1
    audio/x-raw:
             format: S16LE
             layout: interleaved
               rate: { (int)8000, (int)11025, (int)12000, (int)16000, (int)22050, (int)24000, (int)32000, (int)44100, (int)48000, (int)64000, (int)88200, (int)96000 }
           channels: 2
       channel-mask: 0x0000000000000003

Presence – always

Direction – sink

Object type – GstPad

### `src`

    audio/mpeg:
        mpegversion: 4
               rate: { (int)8000, (int)11025, (int)12000, (int)16000, (int)22050, (int)24000, (int)32000, (int)44100, (int)48000, (int)64000, (int)88200, (int)96000 }
           channels: [ 1, 2 ]
      stream-format: { (string)adts, (string)raw }
       base-profile: lc

Presence – always

Direction – src

Object type – GstPad

## Properties

### bitrate

    “bitrate” gint

Target Audio Bitrate (bits per second)

Flags : Read / Write

Default value : 128000

### hard-resync

    “hard-resync” gboolean

Perform clipping and sample flushing upon discontinuity

Flags : Read / Write

Default value : false

### mark-granule

    “mark-granule” gboolean

Apply granule semantics to buffer metadata (implies perfect-timestamp)

Flags : Read

Default value : false

### perfect-timestamp

    “perfect-timestamp” gboolean

Favour perfect timestamps over tracking upstream timestamps

Flags : Read / Write

Default value : false

### tolerance

    “tolerance” gint64

Consider discontinuity if timestamp jitter/imperfection exceeds tolerance (ns)

Flags : Read / Write

Default value : 40000000

The results of the search are